=== debian/changelog ===
picodrive (1.1-1) unstable; urgency=low

  * Fixed bug: invalid rom path reference after physically moving files
  * Screen scaling options
  * Touchscreen input support
  * Accelerometer input support
  * Added power saving options

 -- unknown <Javi@unknown>  Wed, 17 Mar 2010 22:15:43 +0000

picodrive (1.0-1) unstable; urgency=low

  * Initial release

 -- unknown <Javi@unknown>  Tue, 16 Mar 2010 02:02:43 +0000
