## picodrive 1.2-1

=== Makefile ===
all:
	make -f Makefile -C platform/common/helix -k all
	make -f Makefile -C platform/maemo -k all
	make -f Makefile -C platform/maemo/menu -k all
	
install:
	make -f Makefile -C platform/maemo -k install DESTDIR=$(DESTDIR)
	make -f Makefile -C platform/maemo/menu -k install DESTDIR=$(DESTDIR)
	
clean:
	make -f Makefile -C platform/common/helix -k clean
	make -f Makefile -C platform/maemo -k clean
	make -f Makefile -C platform/maemo/menu -k clean
