=== platform/maemo/Makefile ===
--- 
+++ 
@@ -57,7 +57,7 @@
 # frontend
 OBJS += main.o maemo.o usbjoy.o emu.o
 # 940 core control
-OBJS += 940ctl.o
+#OBJS += 940ctl.o
 
 # common
 OBJS += ../common/emu.o ../common/fonts.o ../common/arm_utils.o \
@@ -229,4 +229,5 @@
 
 install: picodrive
 	install -D -m 755 picodrive $(INSTALLDIR)/picodrive
-	
+	#install -d $(INSTALLDIR)/bios
+	#install -m 644 ../../bios/* $(INSTALLDIR)/bios/
