=== platform/maemo/menu/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 GAME_CONF_PATH=/opt/picodrive/picodrive.conf
 GAME_BIN_PATH=/opt/picodrive/picodrive
 GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-picodrive.png
-GAME_VERSION=1.1
+GAME_VERSION=1.2
 MAEMO_VERSION=5
 OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup
