=== debian/changelog ===
picodrive (1.2-1) unstable; urgency=low

  * Fixed fullscreen mode for 256 columns games
  * Increased audio buffer size minimizing audio glitches
  * Added proper signal handling
  * Sega CD support
  * Quick save/load options

 -- javicq <Javi@unknown>  Sun, 21 Mar 2010 16:30:43 +0000
