=== debian/control ===
Source: picodrive
Section: user/games
Priority: optional
Maintainer: javicq
Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
 libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
 libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
 libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev
Standards-Version: 3.7.2

Package: picodrive
Depends: osso-games-startup
Architecture: armel
XB-Maemo-Display-Name: PicoDrive
Description: SEGA Mega Drive emulator for Maemo
XB-Maemo-Icon-26: 
	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAALmklEQVR42u1Y
	aYydZRV+vrtvc+/cmbt1pp2lM22n+yIFRIFCA2ETRZZgg4kaRf4IQSBucUFj
	TEQlURMjKn9QIAiNRg0BhRSEFlqgC0PbmekyS6eduXPv3H2/9/t8znvvTAdK
	G1RwJJk3eTq33/K+53nPOc8576fhQz60+TZggcB8G7BAYL4NWCAw3wYsEPgA
	5rQSrsbfuaNC5Bt//28IhImLiM3EGmIZESHcZyGQIyaIIaKf2EPsJCb/lwS6
	iW3EDcR6wmKzO+H1B9Dka4bL44Pd4YTFaoNmMqkXDF1HtVJGqVhAPptCJpVE
	OhFDuVSQ21ViP7GdeIw4/kEQkOe2EvcSV5hMZlNLqA3h9i5EFneiNRyGh0Y3
	+7xwu5xwOOywWiwwmTQYhoFqtYZSuYx8oYhMNodkKo1cqYR0PI7oqVFEx0cw
	HT0JXa/pnP/vxE+I54T7+0FgE/FT4lKHy6Mt6VmFpSvWYHF7G9oXhRFo8cPt
	dqFm6MrYGegE1G+cvq7cUb9GakgmM4jGpzExOYV4PIbx44MYO3YIxXxWHn2B
	uId44z8lYCO+S9xntTus3Ss2oG/tRnR3LkEkHITL4VAGKWN1423GnwHgHddk
	a+u/5aZO8plMDicnoohOCZEBDA/uR6VUlLx5gLifKP87BILEH4lLgm1d2trz
	LsbSpV1o5W5LOOSLRVQqVfWg3WaFhx7QNO0Mw3UDZ1zDOwgYdbfMeiqXz5NE
	HMnENI4dfB1TJ4fliReJm4mp90KgXeJQ00wru1ZuxLpNFyAcCqkYzuYKZ4SJ
	EDK4g61+JrDToa67mAc+bxNJmUi0gkq1TlZCpe6R+s7PzFEsllDm/ELYYjbB
	ZDYzwUsqVyZGBjEysE/WOCT5R4yfi4BP2FI91vWuvRCr122E2+NBPl9EjflV
	rVWVwTpVRcJGXG+ikTJLuVxBMOBXyXvNlZdhVd8yREJBTDHGE4kUepZ24Jv3
	P8AdLtS9wIXS6SwSNFLmazhC/WOiejkpBHabjeQKiE+O4fhbu0XNDkhUEKl3
	IyC/nyQ+3dm3Cas3bIbd7qDRVJBCnkYkuHhRrWGhkXYuYLbYOKkxu6jsZqi1
	BR/ZsAY+XxNa6JUClUeSXAjv+OcrGBs/qZaKJ5JKlWbC5+3DwPKuNnS0R7B7
	30FunoH4qWGMDe6VmyK3N83QnUvgi8RDLZEubd35FzMM3CoEEvEoqroGM3W9
	yeNWD8rCDHlMc3fluoSCmW6XUAm0NKMhNup6S7MXyXRGeVA8Jkvm6YVUJstf
	mrJDPLBxVQ9zyYmX9ryJVp8H37rnDoahFy+8+BKeenYnjFoFp472Y3pC5cTt
	xG/nEpCkPWRzuFpXnb8VwVBYGZ/PJFEo69xNH40uKCPFMknYcKgVsXiSyjHB
	mLXUXcjrktAqrER3LzqPG+FAjrlz4OAgYtNJVRuisQTMJg0zUbOsI4y77vic
	2qBHHnsS+w8O4ZYbrlXzDQwMYNe+Ic6poZDPYKR/J8rFfJyvrZSkniEgUnVv
	W+8GavxqOJ0ulZgnRkfg8vqVQWUmoxQpmbRAFRJDZZdF9krlepKamYCSyPKM
	yW5m/tih5+qtT7ZQUdslIVfI5/D5W6+Hnzv9m99vR7DFh6uu2KLef3nXbuza
	exjLlgQRbPVj71tHUNJNiAQDlNoMklNjmDgqqaCK3X1CwEuM2F3e5p71H4O/
	pVUZV8hlqBoxuJp8auIak9dJ42QUqRAzsikKkmIiihckD4SkkDe3anAHdOQP
	MW/0KmqWJvWu5MmKzgi23fxJNd+zz+3A355/BX3dEZW0Bw4Po2KYTmcDwytE
	ghJeOZaFxHQcp4beQCmfTvJ2pxC4jXjE374cHayyzUw8J4tUkrGfoEromlXt
	mrheVVdJWK2esELCajEzF2Kw2l1qQQkZUaqzDXnH57LgE1dvVTnw0q5XcWQs
	puYTY2tUOkPn+yaL2qCbrtmC66+5QoXQ40/+Gc+8uAeZ2Akkxgdlus8KgUcZ
	75+JrNiMlkAYbZGwWigWnWTypWF1eJQ2S/wnUhlFQGJ1pseRliCdToFtBp8z
	n9N4KAUzq3zqCDcr8pOJPGfQUKPxXpcdd3/5NnSx2j/zjxfw8KPb8b2v36nW
	EzWLxWL45cNPoFouIHrkdfH0Y0JgiEb2Bpeuh93pQdeSdrXbeVbEU+OjqGoO
	Nbm4UIxTicyh9FwqsdlAmSolXhOplIIkJBc1WzE+XeRcFhWWy3v68Oqel2G1
	WjlPlY1fkwo5Bifzq4oKeV+6eTW2XnaxKmJ2zvfDHz+ILZd8HAFKszh/ePgY
	ntvVT1nPYXq0H9Vi9ogQKNmbWm2+thXSF2PV8h5lWI36f2LkGDSrQyWgt8mt
	1MRoeCBJbwipdCIOj69FGZPN5VX8O6sJttI0vL0X2XwVV15+Hfrf2sMaMKKI
	S5ESGb72sgtx5dZL1Ib96nd/gFkzcOEFm2EjyTRl9ontf1GVfP2qXmXTVDKL
	odEp5YHUyUGUMvGyEmKnL4ymSA/DzoY1K3shci2GiNsmThynZ9ywu30N5THU
	9XIpj3h0Ak5fUBmUZpssWm/TqtCLKdx4yzY8s2MnOjtWQq/l0R7x4dkdu5Tm
	SxiJ575215cQCrSqKn7w0CE8vv1prF/di0WLFmH/gTdx5MQ0DOab5EZPV4eq
	I0PHRqFXy8hMHEUhNVmvJK7mCDyhbpisdnR3tDeUxKA8VlCSnmR6CkUeRNTO
	NXa6ROX0tYbVs+KNmX5nZlitltmGT8JOdnxufpiNKrbddK1qEIXUwMBh7D00
	xvWKKkTMdqne9U41HGhhGPkxcGRYra1XSshGjyOfnFAEUu7msNcZ6ISFL4mO
	9/V2K6mscEGJadkhISO1QJo6qT7SrFksJrYEqYahxmwvYxjvfg4RBVLFQKvX
	0IDbjM2b1nKtIo4cH4dm9/DkJvlQUyEsouBnJRfPj41PsK9KqMio8iSXj42Q
	wGRaptrr9LZucAkBKg5PWyz/PnQuXqSMLrJozRgvhkkS2ri7KbYH0i3KQqLz
	Rq1OQvok2XEe2hp9Ek0VCa7p6tmq8hQFVNUNkcoa88sLv9/P3svGCm1SOSHz
	SKgVS2WMn4qqk5xqO2SOYhb5+CgK6fg+IfBrk9l6e7BnA1h+2NvUK6lMJq6b
	6fXF/VKB0zx4pCiblXIJRrXCM7CbTZ2VBlvrYUf3l9lB6qLnqveBakuk0Nl4
	7JR8kvl09jY1vp+nYRpzT+aw2+3qOCoboHKNRbJUOn2OkWu1SlEp19TRfTLH
	Q0LgKuLpEGVUCJhIQJL5tMsx2/5KdutcVK+W4GGjZbYy/mOn6MooyrkEauUC
	3ssw25ywuf1wNYfgCyxiTBeRzaTVuiazTRaGpp1u1YxGAVVrVwokoCN6TL4D
	4Gp5QjqxfquzaUV73/nIpRJcgTvKHdEaTZk6hEg7UCmrRLa5mmj4BNJUAnEn
	6p9K5DD+GiElMor6N6C5w4n6Z5jlxHmoH04iErZeKmAziZQLaRQLJSUmmsk8
	u4GiQuIx7hDclOzxw7tRKWQGeGvNTDP3KeIpT6jLFOxYAYM7ks9lZ1VDOken
	263ahUKxjMSJwygkxWbsI35A/BVnObOeY4ibryO+TWxwUgn9i/u4QTaehQvs
	xbIsoPUckmR28WAlNWlqdIAKNCyxeSPxp7nngZ8TX3EHOuANd8PJ84AkkSpq
	utSEAoqpmCogjEM5iXyHeBD17zr/zZAIuJv4PvPP4WtbDocvwEbPqRJahso/
	dgbpyWPIxUbl0i+IO08HWX3I0z8i7jFb7WaHL0RZrR9gJHFY9cRt8l/5zPEF
	1D9GvZ9DPpI9TGxiOIPdgRIURaCU4+ZFaUdJQkI+8XyD0N9JYGZ8lPgqcTnh
	b1yTQH+tscDj78Oun8sbtzY2SPLE07jOxMTzxM+IXXNfONd3Ifm26W38FhEu
	fkBGn204GgTU+R9n+Si88Hl9vscCgfkeCwTmeywQmO/xoSfwL6+59AN4mfAz
	AAAAAElFTkSuQmCC
	====
