## picodrive 1.3-1

=== Makefile ===
PLATFORM=FREMANTLE

ifeq "$(PLATFORM)" "DIABLO"
MAKEMENU=@echo ignoring
else
MAKEMENU=make -f Makefile -C platform/maemo/menu -k
endif
all:
	make -f Makefile -C platform/common/helix -k all
	make -f Makefile -C platform/maemo -k all PLATFORM=$(PLATFORM)
	$(MAKEMENU) all
install:
	make -f Makefile -C platform/maemo -k install DESTDIR=$(DESTDIR)
	$(MAKEMENU) install DESTDIR=$(DESTDIR)
clean:
	make -f Makefile -C platform/common/helix -k clean
	make -f Makefile -C platform/maemo -k clean
	$(MAKEMENU) clean
