=== platform/maemo/Makefile ===
--- 
+++ 
@@ -31,9 +31,12 @@
 use_cyclone = 1
 endif
 
-DEFINC = -I../.. -I. -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include \
-		 -I/usr/local/include -I/usr/include/gconf/2 -DARM -D__MAEMO__ # -DBENCHMARK
+PKG_CONFIG_PATH=/usr/lib/pkgconfig
+DEFINC = -I../.. -I. -DARM -D__MAEMO__ # -DBENCHMARK
 COPT_COMMON = -Wall -Winline #-static
+#COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
+COPT_COMMON += $(shell pkg-config --cflags --libs glib-2.0)
+COPT_COMMON += $(shell pkg-config --cflags --libs gconf-2.0) 
 ifeq ($(DEBUG),)
 COPT_COMMON += -O3 -ftracer -fstrength-reduce -fomit-frame-pointer -fstrict-aliasing -ffast-math
 else
@@ -45,8 +48,13 @@
 ifeq "$(profile)" "2"
 COPT_COMMON += -fprofile-use
 endif
+ifeq "$(PLATFORM)" "DIABLO"
+COPT = $(COPT_COMMON) -mtune=arm1136j-s -mcpu=arm1136j-s -pthread
+ASOPT = -mcpu=arm1136j-s -mfloat-abi=soft
+else
 COPT = $(COPT_COMMON) -mtune=cortex-a8 -mcpu=cortex-a8 -pthread
 ASOPT = -mcpu=cortex-a8 -mfloat-abi=soft
+endif
 GCC = gcc #$(CROSS)gcc
 STRIP = $(CROSS)strip
 AS = $(CROSS)as
@@ -141,7 +149,7 @@
 
 picodrive : $(OBJS) ../common/helix/helix_mp3.a
 	@echo ">>>" $@
-	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -lgconf-2 -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
+	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
 ifeq ($(DEBUG),)
 	$(STRIP) $@
 endif
@@ -229,5 +237,6 @@
 
 install: picodrive
 	install -D -m 755 picodrive $(INSTALLDIR)/picodrive
+	install -D picodrive.ini $(INSTALLDIR)/picodrive.ini
 	#install -d $(INSTALLDIR)/bios
 	#install -m 644 ../../bios/* $(INSTALLDIR)/bios/
