=== platform/common/helix/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #CFLAGS += -D__i386__
 endif
 
-CCFLAGS = -DARM -D__GNUC__
+CCFLAGS = -DARM
 
 CC = $(CROSS)gcc
 AS = $(CROSS)as
