=== debian/changelog ===
picodrive (1.3-1) unstable; urgency=low

  * Fixed CD audio sometimes not working when resuming games
  * Mode button was missing from key configurations
  * Show onscreen buttons caused major framerate drop
  * Added 2 players support

 -- javicq <Javi@unknown>  Thu, 25 Mar 2010 17:21:43 +0000
