=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Architecture: armel
 XB-Maemo-Display-Name: PicoDrive
 Description: SEGA Mega Drive emulator for Maemo
+XSBC-Bugtracker: jcqmaemo@ovi.com
 XB-Maemo-Icon-26: 
 	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAALmklEQVR42u1Y
 	aYydZRV+vrtvc+/cmbt1pp2lM22n+yIFRIFCA2ETRZZgg4kaRf4IQSBucUFj
