=== platform/maemo/Makefile ===
--- 
+++ 
@@ -31,10 +31,9 @@
 use_cyclone = 1
 endif
 
-PKG_CONFIG_PATH=/usr/lib/pkgconfig
-DEFINC = -I../.. -I. -DARM -D__MAEMO__ # -DBENCHMARK
+DEFINC = -I../.. -I. -DARM -D__MAEMO__ -DGAME_VERSION=$(GAME_VERSION) # -DBENCHMARK
 COPT_COMMON = -Wall -Winline #-static
-#COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
+COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
 COPT_COMMON += $(shell pkg-config --cflags --libs glib-2.0)
 COPT_COMMON += $(shell pkg-config --cflags --libs gconf-2.0) 
 ifeq ($(DEBUG),)
@@ -63,13 +62,13 @@
 INSTALLDIR = $(DESTDIR)/opt/picodrive
 
 # frontend
-OBJS += main.o maemo.o usbjoy.o emu.o
+OBJS += main.o maemo.o emu.o
 # 940 core control
 #OBJS += 940ctl.o
 
 # common
 OBJS += ../common/emu.o ../common/fonts.o ../common/arm_utils.o \
-	../common/readpng.o ../common/mp3_helix.o ../common/menu.o
+	../common/readpng.o ../common/menu.o
 
 # Pico
 ifeq "$(amalgamate)" "1"
@@ -147,7 +146,7 @@
 
 all: picodrive
 
-picodrive : $(OBJS) ../common/helix/helix_mp3.a
+picodrive : $(OBJS) 
 	@echo ">>>" $@
 	$(GCC) -o $@ $(COPT) $^ -L/usr/lib -lm -lpng -lSDL -losso -Wl,-Map=PicoDrive.map,-rpath-link=/usr/lib
 ifeq ($(DEBUG),)
