=== platform/maemo/menu/Makefile ===
--- 
+++ 
@@ -3,15 +3,6 @@
 LDLIBS:=$(shell pkg-config --libs $(PKGS))
 
 -include config.mk
-
-# Some hardcoded paths
-GAME_PLUGIN_PATH=/opt/maemo/usr/lib/picodrive_plugin.so
-GAME_CONF_PATH=/opt/picodrive/picodrive.conf
-GAME_BIN_PATH=/opt/picodrive/picodrive
-GAME_BANNER_PATH=/opt/maemo/usr/share/pixmaps/osso-games-startup-picodrive.png
-GAME_VERSION=1.3
-MAEMO_VERSION=5
-OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup
 
 # The about dialog will use this
 CPPFLAGS+=-DGAME_VERSION=$(GAME_VERSION)
@@ -21,6 +12,16 @@
 ifeq ($(CONF_NLS), 1)
 	CPPFLAGS += -DCONF_NLS=1 -DGETTEXT_PACKAGE=\"$(GETTEXT_PACKAGE)\"
 endif
+
+# Some hardcoded paths
+GAME_SHARE_PATH=/usr/share/games/picodrive
+GAME_PLUGIN_PATH=/usr/lib/picodrive_plugin.so
+GAME_CONF_PATH=$(GAME_SHARE_PATH)/picodrive.conf
+GAME_BIN_PATH=/opt/picodrive/picodrive
+GAME_BANNER_PATH=/usr/share/pixmaps/osso-games-startup-picodrive.png
+GAME_VERSION=1.0
+MAEMO_VERSION=5
+OSSO_GAMES_STARTUP=/usr/bin/osso_games_startup
 
 M4:=m4
 M4DEFS:= -DGAME_VERSION=$(GAME_VERSION) -DGAME_PLUGIN_PATH=$(GAME_PLUGIN_PATH)
@@ -77,6 +78,7 @@
 	$(M4) $(M4DEFS) $^ > $@
 
 install: all
+	install -d $(DESTDIR)$(GAME_SHARE_PATH)
 	install -D picodrive.launcher $(DESTDIR)/opt/picodrive/picodrive.launcher
 	install -D picodrive_plugin.so $(DESTDIR)$(GAME_PLUGIN_PATH)
 	install -D -m 0644 picodrive.conf $(DESTDIR)$(GAME_CONF_PATH)
@@ -85,7 +87,7 @@
 	install -D -m 0644 picodrive.startup.service $(DESTDIR)/usr/share/dbus-1/services/com.jcq.picodrive.startup.service
 	install -D -m 0644 icons/picodrive.png $(DESTDIR)/usr/share/icons/hicolor/scalable/hildon/picodrive.png
 	install -D -m 0644 icons/banner.png $(DESTDIR)$(GAME_BANNER_PATH)
-	install -D -m 0644 picodrive.schemas $(DESTDIR)/opt/maemo/usr/share/gconf/schemas/picodrive.schemas
+	install -D -m 0644 picodrive.schemas $(DESTDIR)/usr/share/gconf/schemas/picodrive.schemas
 #ifneq ($(GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL),1)
 #	gconftool-2 --makefile-install-rule $(DESTDIR)/usr/share/gconf/schemas/picodrive.schemas 
 #endif
