=== debian/changelog ===
picodrive (1.32-1) unstable; urgency=low

  * Fixed save filechooser stuck to "bin" folder
  * Moved mp3 decoding to maemo native codecs

 -- javicq <Javi@unknown>  Mon, 29 Mar 2010 13:53:43 +0000
