=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 5), pkg-config, maemo-version, m4, libsdl1.2-dev,
  libx11-dev, x11proto-core-dev, libxsp-dev, libpopt-dev, zlib1g-dev, gnupg,
  libosso-dev, osso-games-startup-dev, libsdl-image1.2-dev,
- libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev
+ libhildonfm2-dev, libosso-gnomevfs2-dev, libhildonmime-dev, libgstreamer0.10-dev
 Standards-Version: 3.7.2
 
 Package: picodrive
@@ -13,7 +13,7 @@
 Architecture: armel
 XB-Maemo-Display-Name: PicoDrive
 Description: SEGA Mega Drive emulator for Maemo
-XSBC-Bugtracker: jcqmaemo@ovi.com
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=picodrive
 XB-Maemo-Icon-26: 
 	iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAALmklEQVR42u1Y
 	aYydZRV+vrtvc+/cmbt1pp2lM22n+yIFRIFCA2ETRZZgg4kaRf4IQSBucUFj
