## picodrive 1.35-1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PLATFORM=FREMANTLE
-GAME_VERSION=1.32
+GAME_VERSION=1.35
 
 ifeq "$(PLATFORM)" "DIABLO"
 MAKEMENU=@echo ignoring
