=== platform/maemo/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 use_cyclone = 1
 endif
 
-DEFINC = -I../.. -I. -DARM -D__MAEMO__ -DGAME_VERSION=$(GAME_VERSION) # -DBENCHMARK
+DEFINC = -I../.. -I. -DARM -D__MAEMO__ -DGAME_VERSION=$(GAME_VERSION) -DPLATFORM=$(PLATFORM)# -DBENCHMARK
 COPT_COMMON = -Wall -Winline #-static
 COPT_COMMON += $(shell pkg-config --cflags --libs gstreamer-0.10)
 COPT_COMMON += $(shell pkg-config --cflags --libs glib-2.0)
