=== debian/changelog ===
picodrive (1.35-1) unstable; urgency=low

  * Support for scaling sprites
  * Fixed CD music not resuming properly when loading saved games
  * Fixed CD music playing regardless of "sound" setting

 -- javicq <Javi@unknown>  Mon, 12 Mar 2010 16:53:43 +0000
